Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Class DocFlavor.STRING

    java.lang.Object
      javax.print.DocFlavor
          javax.print.DocFlavor.STRING

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing class:
  DocFlavor

    public static class DocFlavor.STRING

extends DocFlavor

Class DocFlavor.STRING provides predefined static constant DocFlavor objects for example doc flavors using a string (``java.lang.String``) as the print data representation class. As such, the character set is Unicode.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.print.DocFlavor
`DocFlavor.BYTE_ARRAY, DocFlavor.CHAR_ARRAY, DocFlavor.INPUT_STREAM, DocFlavor.READER, DocFlavor.SERVICE_FORMATTED, DocFlavor.STRING, DocFlavor.URL`

Field Summary
`static DocFlavor.STRING` | `TEXT_HTML` Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"java.lang.String"`.
`static DocFlavor.STRING` | `TEXT_PLAIN` Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"java.lang.String"`.

Fields inherited from class javax.print.DocFlavor
`hostEncoding`

Constructor Summary
`DocFlavor.STRING(String mimeType)` Constructs a new doc flavor with the given MIME type and a print data representation class name of `"java.lang.String"`.

Method Summary

Methods inherited from class javax.print.DocFlavor
`equals, getMediaSubtype, getMediaType, getMimeType, getParameter, getRepresentationClassName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_PLAIN

    public static final DocFlavor.STRING TEXT_PLAIN

  Doc flavor with MIME type = `"text/plain; charset=utf-16"`, print data representation class name = `"java.lang.String"`.

### TEXT_HTML

    public static final DocFlavor.STRING TEXT_HTML

  Doc flavor with MIME type = `"text/html; charset=utf-16"`, print data representation class name = `"java.lang.String"`.

Constructor Detail

### DocFlavor.STRING

    public DocFlavor.STRING(String mimeType)

  Constructs a new doc flavor with the given MIME type and a print data representation class name of `"java.lang.String"`.

  Parameters:
    `mimeType` - MIME media type string. If it is a text media type, it is assumed to contain a `"charset=utf-16"` parameter.
  Throws:
    `NullPointerException` - (unchecked exception) Thrown if `mimeType` is null.
    `IllegalArgumentException` - (unchecked exception) Thrown if `mimeType` does not obey the syntax for a MIME media type string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.